function init()

    buttonShapes = FindShapes("lamp2", true) -- Finds all the buttons.

    lights = FindLights("lamp2", true) -- Finds all lights.
    for i = 1, #lights do
        SetLightEnabled(lights[i], false)
    end
    lightEnabled = false

end

function tick()

    if InputPressed('interact') then

        interactShape = GetPlayerInteractShape() -- Get the shape/vox that was pressed.

        for i = 1, #buttonShapes do -- Cycles through all buttons.
            if interactShape == buttonShapes[i] then -- Button was pressed.


                lightEnabled = not lightEnabled -- Flip the switch on or off. (true to false, false to true)
                for j = 1, #lights do -- Cycles through all lights and turn them off/on all at once.
                    SetLightEnabled(lights[j], lightEnabled) -- Change all lights to the value of lightEnabled
                end

            end
        end

    end
end
